# Uses of Class
org.apache.solr.common.util.JavaBinCodec.StringCache

Packages that use JavaBinCodec.StringCache
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of JavaBinCodec.StringCache in org.apache.solr.client.solrj.response

Fields in org.apache.solr.client.solrj.response declared as JavaBinCodec.StringCache
Modifier and Type
Field
Description
`protected JavaBinCodec.StringCache`
JavaBinResponseParser.`stringCache`
Methods in org.apache.solr.client.solrj.response with parameters of type JavaBinCodec.StringCache
Modifier and Type
Method
Description
`JavaBinResponseParser`
JavaBinResponseParser.`setStringCache(JavaBinCodec.StringCache cache)`

## Uses of JavaBinCodec.StringCache in org.apache.solr.common.util

Methods in org.apache.solr.common.util with parameters of type JavaBinCodec.StringCache
Modifier and Type
Method
Description
`CharSequence`
JavaBinCodec.`readStr(DataInputInputStream dis, JavaBinCodec.StringCache stringCache, boolean readStringAsCharSeq)`
Constructors in org.apache.solr.common.util with parameters of type JavaBinCodec.StringCache
Modifier
Constructor
Description
``
`JavaBinCodec(JavaBinCodec.ObjectResolver resolver, JavaBinCodec.StringCache stringCache)`